modded class ArmaReforgerScripted
{
	float f_DisplacementM = 50.0;
	int i_MarkersToCreate = 100;
	static ref array<ref SCR_MapMarkerBase> m_aMarkers = {};
	vector markerOrigin = { 1500.0, 0.0, 1500.0 };
	
	void CreateMarkers()
	{
		SCR_MapMarkerManagerComponent manager = SCR_MapMarkerManagerComponent.GetInstance();
		if (!manager)
		{
			Print("No SCR_MapMarkerManagerComponent on gamemode!", LogLevel.ERROR);
			return;
		}
		
		for (int i = 1; i <= i_MarkersToCreate; i++)
		{
			string markerText = i.ToString();
			vector markerPos = markerOrigin + {i * f_DisplacementM, 0, 0};
			
			SCR_MapMarkerBase marker = GetMarker(markerText, markerPos);
			manager.InsertStaticMarker(marker, isLocal: false, isServerMarker: true);
			m_aMarkers.Insert(marker);
			Print("Placed marker for index " + i, LogLevel.NORMAL);
		}
		
		Print("Placed " + i_MarkersToCreate + " markers", LogLevel.NORMAL);
	}
	
	void DeleteMarkers()
	{
		SCR_MapMarkerManagerComponent manager = SCR_MapMarkerManagerComponent.GetInstance();
		if (!manager)
		{
			Print("No SCR_MapMarkerManagerComponent on gamemode!", LogLevel.ERROR);
			return;
		}
		
		int markersCreatedCount = m_aMarkers.Count();
		for (int i = 0; i < markersCreatedCount ; i++)
		{
			manager.RemoveStaticMarker(m_aMarkers[i]);
			Print("Removed marker for index " + i, LogLevel.NORMAL);
		}
		
		m_aMarkers = {};
		
		Print("Removed " + markersCreatedCount + " markers", LogLevel.NORMAL);
	}
	
	void PrintAllMarkers()
	{
		SCR_MapMarkerManagerComponent manager = SCR_MapMarkerManagerComponent.GetInstance();
		array<ref SCR_MapMarkerBase> markers = manager.GetStaticMarkers();
		
		foreach (SCR_MapMarkerBase m : markers)
		{
			Print(m.GetCustomText());
		}
		Print("Printed " + markers.Count() + " markers");
	}
	
	private SCR_MapMarkerBase GetMarker(string text, vector pos)
	{
		ref SCR_MapMarkerBase marker = new SCR_MapMarkerBase();
		
		marker.SetType(SCR_EMapMarkerType.PLACED_CUSTOM);
		marker.SetCustomText(text);
		marker.SetIconEntry(1);
		marker.SetColorEntry(1);
		marker.SetWorldPos(pos[0], pos[2]);

		return marker;
	}
}